Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxprint.c File Reference

`#include "dmxconfig.h"`
`#include "dmxparse.h"`
`#include "dmxprint.h"`
`#include "parser.h"`
`#include <stdio.h>`
`#include <stdarg.h>`
`#include <ctype.h>`

## Data Structures
struct | stack
## Functions
void | dmxConfigPrint (FILE *stream, DMXConfigEntryPtr entry)
void | dmxConfigVirtualPrint (FILE *stream, DMXConfigVirtualPtr p)

## Detailed Description

This file provides support routines and helper functions to be used to pretty-print DMX configurations.

Because the DMX configuration file parsing should be capable of being used in a stand-alone fashion (i.e., independent from the DMX server source tree), no dependencies on other DMX routines are made.

## Function Documentation

void dmxConfigPrint | ( | FILE * | stream,
|  | DMXConfigEntryPtr | entry
| ) |

| The configuration information in entry will be pretty-printed to the stream. If stream is NULL, then stdout will be used.

void dmxConfigVirtualPrint | ( | FILE * | stream,
|  | DMXConfigVirtualPtr | p
| ) |

| The configuration information in p will be pretty-printed to the stream. If stream is NULL, then stdout will be used.